# $Revision: 1.30 $, $Date: 2011/02/04 18:23:34 $
Summary:	Menu editor for the GNOME desktop
Summary(pl.UTF-8):	Edytor menu dla GNOME
Name:		alacarte
Version:	0.13.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/alacarte/0.13/%{name}-%{version}.tar.bz2
# Source0-md5:	de84e437babebe036ab8dc9a518282ca
URL:		http://www.realistanew.com/projects/alacarte/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-devel
BuildRequires:	gnome-menus-devel >= 2.28.0
BuildRequires:	intltool >= 0.37.0
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme >= 0.10-3
Requires:	gnome-menus-editor >= 2.28.0
Requires:	python-gnome-ui
Requires:	python-pygobject >= 2.16.0
Requires:	python-pygtk-glade >= 2:2.12.0
# for help
Suggests:	gnome-user-docs >= 2.24.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alacarte is a simple freedesktop.org compliant menu editor for GNOME
that lets you change your menus, simply and quickly.

%description -l pl.UTF-8
Alacarte jest prostym, zgodnym z freedesktop.org edytorem menu dla
GNOME pozwalającym w szybki i łatwy sposób dostosować menu do własnych
potrzeb.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	PYTHON="/usr/bin/python"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

# not supported by glibc
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/{bem,en@shaw,io}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/alacarte
%dir %{py_sitescriptdir}/Alacarte
%{py_sitescriptdir}/Alacarte/*.py[co]
%{_datadir}/alacarte
%{_desktopdir}/alacarte.desktop
%{_iconsdir}/hicolor/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alacarte.spec,v $
Revision 1.30  2011/02/04 18:23:34  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2010/11/18 19:06:43  sls
- ver. 0.13.2

Revision 1.28  2010/07/09 11:12:49  arekm
- release 3

Revision 1.27  2010/07/08 07:38:00  arekm
- release 2

Revision 1.26  2010/04/01 11:33:29  megabajt
- updated to 0.13.1

Revision 1.25  2009/12/31 11:39:10  megabajt
- updated to 0.12.4

Revision 1.24  2009/05/07 20:12:45  megabajt
- removed unsupported bem locale
- release 2

Revision 1.23  2009/05/07 13:19:24  megabajt
- updated to 0.12.1

Revision 1.22  2009/04/07 18:21:06  megabajt
- hicolor-icon-theme already supports 256x256 icons

Revision 1.21  2009/03/17 21:59:27  megabajt
- updated to 0.11.10
- R: python-pygobject >= 2.16.0 (for GIO module)

Revision 1.20  2009/03/13 19:50:14  hawk
- release 2

Revision 1.19  2008/11/05 17:30:57  sls
- BR: rpm-pythonprov

Revision 1.18  2008/10/04 16:33:02  megabajt
- updated to 0.11.6

Revision 1.17  2008/10/03 17:39:51  arekm
- release 2

Revision 1.16  2008-03-12 18:19:43  megabajt
- updated to 0.11.5

Revision 1.15  2008-02-21 21:07:03  megabajt
- updated to 0.11.4

Revision 1.14  2007-11-03 22:54:53  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.13  2007/10/24 12:27:11  megabajt
- added R: python-gnome-ui

Revision 1.12  2007/02/22 16:03:45  megabajt
- updated to 0.11.3

Revision 1.11  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.9  2007/01/13 00:34:40  megabajt
- up to 0.11.1.1

Revision 1.8  2006/12/20 21:00:03  megabajt
- up to 0.10.2

Revision 1.7  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.6  2006/11/04 15:30:38  megabajt
- R: gnome-menus-editor (alacarte needs gmenu.so)
- rel. 2

Revision 1.5  2006/10/05 21:58:56  grzegol
- package as, si lang files (languages added in glibc-2.5)

Revision 1.4  2006/10/04 20:32:24  grzegol
- 0.10.1

Revision 1.3  2006/09/06 06:13:13  qboosh
- epochs, R(post,postun): hicolor-icon-theme

Revision 1.2  2006/09/04 21:41:22  grzegol
- 0.10.0

Revision 1.1  2006/08/26 16:14:35  grzegol
- new
